# Glom::ConnectionPoolBackends::Postgres Class Reference

Inherits Glom::ConnectionPoolBackends::Backend.

Inherited by Glom::ConnectionPoolBackends::PostgresCentralHosted, and Glom::ConnectionPoolBackends::PostgresSelfHosted.

Collaboration diagram for Glom::ConnectionPoolBackends::Postgres:
[legend]

List of all members.

## Public Member Functions

| Postgres ()
float | get_postgres_server_version () const
| Return the version number of the connected postgres server.

## Static Public Member Functions

static bool | check_postgres_gda_client_is_available ()
| Check whether the libgda postgres provider is really available, so we can connect to postgres servers, in case the distro package has incorrect dependencies.

## Protected Member Functions

bool | attempt_create_database (const Glib::ustring& database_name, const Glib::ustring& host, const Glib::ustring& port, const Glib::ustring& username, const Glib::ustring& password, std::auto_ptr< Glib::Error >& error)
Glib::RefPtr < Gnome::Gda::Connection > | attempt_connect (const Glib::ustring& host, const Glib::ustring& port, const Glib::ustring& database, const Glib::ustring& username, const Glib::ustring& password, std::auto_ptr< ExceptionConnection >& error) throw ()
| Attempt to connect to the database with the specified criteria.

## Constructor & Destructor Documentation

Glom::ConnectionPoolBackends::Postgres::Postgres | ( |  | ) |

## Member Function Documentation

Glib::RefPtr< Gnome::Gda::Connection > Glom::ConnectionPoolBackends::Postgres::attempt_connect | ( | const Glib::ustring & | host,
|  | const Glib::ustring & | port,
|  | const Glib::ustring & | database,
|  | const Glib::ustring & | username,
|  | const Glib::ustring & | password,
|  | std::auto_ptr< ExceptionConnection >& | error |
| ) |  |  | throw ()`[protected]`

Attempt to connect to the database with the specified criteria.

Parameters:

  | error | An error if the correction failed.

bool Glom::ConnectionPoolBackends::Postgres::attempt_create_database | ( | const Glib::ustring & | database_name,
|  | const Glib::ustring & | host,
|  | const Glib::ustring & | port,
|  | const Glib::ustring & | username,
|  | const Glib::ustring & | password,
|  | std::auto_ptr< Glib::Error > & | error |
| ) |  |  | `[protected]`

bool Glom::ConnectionPoolBackends::Postgres::check_postgres_gda_client_is_available | ( |  | ) | `[static]`

Check whether the libgda postgres provider is really available, so we can connect to postgres servers, in case the distro package has incorrect dependencies.

True if everything is OK.

float Glom::ConnectionPoolBackends::Postgres::get_postgres_server_version | ( |  | ) | const

Return the version number of the connected postgres server.

This can be used to adapt to different server features.

Returns:
  The version, or 0 if no connection has been made.

The documentation for this class was generated from the following files:

- connectionpool_backends/postgres.h
- connectionpool_backends/postgres.cc